Bug 1047013 - Review Request: eom - Eye of MATE image viewer
Summary: Review Request: eom - Eye of MATE image viewer
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1047015
Blocks: 1086149
TreeView+ depends on / blocked
 
Reported: 2013-12-28 10:34 UTC by Wolfgang Ulbrich
Modified: 2014-09-28 19:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-28 19:58:53 UTC
dan.mashal: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2013-12-28 10:34:30 UTC
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/eom.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/eom-1.7.0-0.1.git20131212.7ba7e03.fc21.src.rpm
Description: The Eye of MATE (eom) is the official image viewer for the
MATE desktop. It can view single image files in a variety of formats, as
well as large image collections.
Eye of Mate is extensible through a plugin system.
Fedora Account System Username: raveit65

Comment 1 Wolfgang Ulbrich 2013-12-28 10:38:28 UTC
This is a re-review request for a package rename.
Old packackage name is mate-image-viewer.
Note, this affect only rawhide, f18/19/20 will use mate-image-viewer-1.6.x until there EOL.

Comment 2 Dan Mashal 2014-02-13 06:43:36 UTC
NOTES:

1) Please update to latest 1.7.0 release tarball.
2) Please remove autogen.sh line as it's not used anymore.
3) Please add --with-x to configure flags.

Comment 3 Wolfgang Ulbrich 2014-02-13 14:59:53 UTC
(In reply to Dan Mashal from comment #2)
> NOTES:
> 
> 1) Please update to latest 1.7.0 release tarball.
Will do.
> 2) Please remove autogen.sh line as it's not used anymore.
I prefer to comment out that line because it is part of the git snapshot usage.
I'm a very lazy linux person and i want to avoid typing this line again if we build from a snapshot. OK?
> 3) Please add --with-x to configure flags.
No prop.

Comment 4 Dan Mashal 2014-02-13 19:07:04 UTC
Sounds good.

Comment 5 Wolfgang Ulbrich 2014-02-13 20:39:43 UTC
* Thu Feb 13 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- update to 1.7.0
- add --with-x configure flag
- use -devel subpackage for release builds

Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/eom.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/eom-1.7.0-1.fc21.src.rpm

Comment 6 Wolfgang Ulbrich 2014-02-13 21:00:31 UTC
(In reply to Wolfgang Ulbrich from comment #5)
> * Thu Feb 13 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
> - update to 1.7.0
> - add --with-x configure flag
> - use -devel subpackage for release builds
oops, i meant
 - use -devel subpackage for gtk-docs for release builds

Comment 7 Dan Mashal 2014-02-14 00:25:42 UTC
APPROVED



Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6528149

Package installs and runs successfully:
http://i.imgur.com/YgCBWyI.png

===================================

This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "LGPL (v2 or
     later)", "Unknown or generated". 24 files have unknown license. Detailed
     output of licensecheck in /home/dan/fedora-
     review/1047013-eom/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/help/ar, /usr/share/help/pa,
     /usr/share/help/da, /usr/share/locale/cmn,
     /usr/share/locale/cmn/LC_MESSAGES, /usr/share/help/th
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help/fi,
     /usr/share/help/uk, /usr/share/help/de, /usr/share/help/da,
     /usr/share/help/sv, /usr/share/help/fr, /usr/share/help/pl,
     /usr/share/help/C, /usr/share/gtk-doc/html, /usr/share/help/ja,
     /usr/share/help/es, /usr/share/help/eu, /usr/share/help,
     /usr/share/help/ar, /usr/share/help/ca,
     /usr/share/locale/cmn/LC_MESSAGES, /usr/share/help/el,
     /usr/share/help/en_GB, /usr/share/help/zh_CN, /usr/share/help/pa,
     /usr/share/help/pt_BR, /usr/share/help/oc, /usr/share/help/it,
     /usr/share/help/th, /usr/share/help/zh_TW, /usr/share/locale/cmn,
     /usr/share/help/cs, /usr/share/gtk-doc, /usr/share/help/ko,
     /usr/share/help/ru
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/icons/hicolor/24x24
     (anaconda-core, hicolor-icon-theme, fedora-logos, eom),
     /usr/share/icons/hicolor/22x22(anaconda-core, hicolor-icon-theme, fedora-
     logos, eom), /usr/share/icons/hicolor/22x22/apps(anaconda-core, hicolor-
     icon-theme, fedora-logos, eom), /usr/share/icons/hicolor/32x32/apps
     (anaconda-core, hicolor-icon-theme, fedora-logos, eom),
     /usr/share/icons/hicolor/24x24/apps(anaconda-core, hicolor-icon-theme,
     fedora-logos, eom), /usr/share/icons/hicolor/16x16/apps(anaconda-core,
     hicolor-icon-theme, fedora-logos, eom), /usr/share/icons/hicolor/16x16
     (anaconda-core, hicolor-icon-theme, fedora-logos, eom),
     /usr/share/icons/hicolor/scalable/apps(hicolor-icon-theme, fedora-logos,
     eom, hexchat), /usr/share/icons/hicolor/32x32(anaconda-core, hicolor-
     icon-theme, fedora-logos, eom), /usr/share/icons/hicolor/scalable
     (hicolor-icon-theme, fedora-logos, eom, hexchat)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in eom
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in eom
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in eom
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5939200 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eom-1.7.0-1.fc21.x86_64.rpm
          eom-devel-1.7.0-1.fc21.x86_64.rpm
          eom-1.7.0-1.fc21.src.rpm
eom.x86_64: E: explicit-lib-dependency mate-desktop-libs
3 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint eom-devel eom
eom.x86_64: E: explicit-lib-dependency mate-desktop-libs
2 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
eom-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    eom(x86-64)

eom (rpmlib, GLIBC filtered):
    /bin/sh
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libdconf.so.1()(64bit)
    libdl.so.2()(64bit)
    libexempi.so.3()(64bit)
    libexif.so.12()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblcms2.so.2()(64bit)
    libm.so.6()(64bit)
    libmate-desktop-2.so.17()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librsvg-2.so.2()(64bit)
    libstartup-notification-1.so.0()(64bit)
    libutil.so.1()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libz.so.1()(64bit)
    mate-desktop-libs
    rtld(GNU_HASH)



Provides
--------
eom-devel:
    eom-devel
    eom-devel(x86-64)
    mate-image-viewer
    mate-image-viewer(x86-64)
    pkgconfig(eom)

eom:
    application()
    application(eom.desktop)
    eom
    eom(x86-64)
    libfullscreen.so()(64bit)
    libreload.so()(64bit)
    libstatusbar-date.so()(64bit)
    mate-image-viewer
    mate-image-viewer(x86-64)
    mimehandler(image/bmp)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/jpg)
    mimehandler(image/pjpeg)
    mimehandler(image/png)
    mimehandler(image/svg+xml)
    mimehandler(image/svg+xml-compressed)
    mimehandler(image/tiff)
    mimehandler(image/vnd.wap.wbmp)
    mimehandler(image/x-bmp)
    mimehandler(image/x-gray)
    mimehandler(image/x-icb)
    mimehandler(image/x-ico)
    mimehandler(image/x-pcx)
    mimehandler(image/x-png)
    mimehandler(image/x-portable-anymap)
    mimehandler(image/x-portable-bitmap)
    mimehandler(image/x-portable-graymap)
    mimehandler(image/x-portable-pixmap)
    mimehandler(image/x-xbitmap)
    mimehandler(image/x-xpixmap)



Unversioned so-files
--------------------
eom: /usr/lib64/eom/plugins/libfullscreen.so
eom: /usr/lib64/eom/plugins/libreload.so
eom: /usr/lib64/eom/plugins/libstatusbar-date.so

Source checksums
----------------
http://pub.mate-desktop.org/releases/1.7/eom-1.7.0.tar.xz :
  CHECKSUM(SHA256) this package     : e416a443dee8d83ba33b44d08de145284b33758ee1e260b1ab1143d0e626190c
  CHECKSUM(SHA256) upstream package : e416a443dee8d83ba33b44d08de145284b33758ee1e260b1ab1143d0e626190c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1047013
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 8 Wolfgang Ulbrich 2014-02-14 13:26:56 UTC
New Package SCM Request
=======================
Package Name: eom
Short Description: Eye of MATE image viewer
Owners: raveit65 vicodan
Branches: 
InitialCC: 


Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 9 Gwyn Ciesla 2014-02-14 13:33:22 UTC
Git done (by process-git-requests).

Comment 10 Wolfgang Ulbrich 2014-07-26 14:23:35 UTC
Package Change Request
======================
Package Name: eom
New Branches: f20
Owners: raveit65 vicodan
InitialCC:

Comment 11 Kevin Fenzi 2014-07-26 21:36:23 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.